Package: groovy.lang

## [Java] Class Index

- groovy.lang.MetaClassImpl.Index

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ComplexKeyHashMap` | `DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaClassImpl.Index (int size)`
    `MetaClassImpl.Index ()`
    `MetaClassImpl.Index (boolean size)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `checkEquals(Entry e, Object key)`
    `SingleKeyHashMap` | `getNotNull(CachedClass key)`
    `SingleKeyHashMap` | `getNullable(CachedClass clazz)`
    `void` | `put(CachedClass key, SingleKeyHashMap value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SingleKeyHashMap` | `SingleKeyHashMap, SingleKeyHashMap, containsKey, copy, get, getOrPut, getOrPutEntry, put, putCopyOfUnexisting, remove`
    `class ComplexKeyHashMap` | `ComplexKeyHashMap, ComplexKeyHashMap, ComplexKeyHashMap, clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public MetaClassImpl.Index(int size)

    - #### public MetaClassImpl.Index()

    - #### public MetaClassImpl.Index(boolean size)

  - ### Method Detail

    - #### public boolean checkEquals(Entry e, Object key)

    - #### public SingleKeyHashMap getNotNull(CachedClass key)

    - #### public SingleKeyHashMap getNullable(CachedClass clazz)

    - #### public void put(CachedClass key, SingleKeyHashMap value)